## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XSLException Class Reference

Inheritance diagram for XSLException:

[legend]
Collaboration diagram for XSLException:

[legend]
List of all members.

## Public Types

- typedef XalanLocator::size_type size_type

## Public Member Functions

- XSLException (const XalanDOMString &theMessage, const XalanDOMString &theURI, int theLineNumber, int theColumnNumber, MemoryManagerType &theManager)
    Constructor.
- XSLException (const LocatorType &theLocator, const XalanDOMString &theMessage, MemoryManagerType &theManager)
    Constructor.
- XSLException (const XalanDOMString &theMessage, MemoryManagerType &theManager)
    Constructor.
- XSLException (const XSLException &other)
- virtual ~XSLException ()
- virtual const XalanDOMChar * getType () const=0
    Retrieve type of exception.
- const XalanDOMString & getMessage () const
    Retrieve message for exception.
- const XalanDOMString & getURI () const
    Get the URI for the associated document, if any.
- size_type getLineNumber () const
    Retrieve the line number.
- size_type getColumnNumber () const
    Retrieve the column number.
- MemoryManagerType & getMemoryManager () const
- void defaultFormat (XalanDOMString &theBuffer) const

## Static Public Member Functions

- void defaultFormat (const XalanDOMString &theMessage, const XalanDOMString &theURI, size_type theLineNumber, size_type theColumnNumber, const XalanDOMChar *theType, XalanDOMString &theBuffer)
- void defaultFormat (const XalanDOMChar *theMessage, const XalanDOMChar *theURI, size_type theLineNumber, size_type theColumnNumber, const XalanDOMChar *theType, XalanDOMString &theBuffer)
- void defaultFormat (const XalanDOMChar *theMessage, const XalanDOMString::size_type theMessageLength, const XalanDOMChar *theURI, const XalanDOMString::size_type theURILength, size_type theLineNumber, size_type theColumnNumber, const XalanDOMChar *theType, const XalanDOMString::size_type theTypeLength, XalanDOMString &theBuffer)

## Member Typedef Documentation

typedef XalanLocator::size_type XSLException::size_type

## Constructor & Destructor Documentation

XSLException::XSLException | ( | const XalanDOMString & | theMessage,
|  | const XalanDOMString & | theURI,
|  | int | theLineNumber,
|  | int | theColumnNumber,
|  | MemoryManagerType & | theManager
| ) |

  | Constructor. Parameters:
  theMessage | message to write when exception thrown
  theURI | the URI of the related document, if known
  theLineNumber | the line number of the related document.
  theColumnNumber | the column number of the related document.
  theType | type of exception, default is "XSLException"

XSLException::XSLException | ( | const LocatorType & | theLocator,
|  | const XalanDOMString & | theMessage,
|  | MemoryManagerType & | theManager
| ) |

  | Constructor. Parameters:
  theLocator | The locator instance for error reporting.
  theMessage | message to write when exception thrown
  theType | type of exception, default is "XSLException"

XSLException::XSLException | ( | const XalanDOMString & | theMessage,
|  | MemoryManagerType & | theManager
| ) |

  | Constructor. Parameters:
  theMessage | message to write when exception thrown
  theType | type of exception, default is "XSLException"

XSLException::XSLException | ( | const XSLException & | other | ) |

virtual XSLException::~XSLException | ( |  | ) | `[virtual]`

## Member Function Documentation

void XSLException::defaultFormat | ( | const XalanDOMChar * | theMessage,
|  | const XalanDOMString::size_type | theMessageLength,
|  | const XalanDOMChar * | theURI,
|  | const XalanDOMString::size_type | theURILength,
|  | size_type | theLineNumber,
|  | size_type | theColumnNumber,
|  | const XalanDOMChar * | theType,
|  | const XalanDOMString::size_type | theTypeLength,
|  | XalanDOMString & | theBuffer
| ) | `[static]`

void XSLException::defaultFormat | ( | const XalanDOMChar * | theMessage,
|  | const XalanDOMChar * | theURI,
|  | size_type | theLineNumber,
|  | size_type | theColumnNumber,
|  | const XalanDOMChar * | theType,
|  | XalanDOMString & | theBuffer
| ) | `[static]`

void XSLException::defaultFormat | ( | const XalanDOMString & | theMessage,
|  | const XalanDOMString & | theURI,
|  | size_type | theLineNumber,
|  | size_type | theColumnNumber,
|  | const XalanDOMChar * | theType,
|  | XalanDOMString & | theBuffer
| ) | `[static]`

void XSLException::defaultFormat | ( | XalanDOMString & | theBuffer | ) | const

size_type XSLException::getColumnNumber | ( |  | ) | const

| Retrieve the column number. Returns: the column number

size_type XSLException::getLineNumber | ( |  | ) | const

| Retrieve the line number. Returns: the line number

MemoryManagerType& XSLException::getMemoryManager | ( |  | ) | const

const XalanDOMString& XSLException::getMessage | ( |  | ) | const

| Retrieve message for exception. Returns: exception message

virtual const XalanDOMChar* XSLException::getType | ( |  | ) | const`[pure virtual]`

| Retrieve type of exception. Returns: type of exception Implemented in URISupport::InvalidURIException, XalanFileOutputStream::XalanFileOutputStreamOpenException, XalanFileOutputStream::XalanFileOutputStreamWriteException, XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException, XalanOutputStream::XalanOutputStreamException, XalanOutputStream::UnknownEncodingException, XalanOutputStream::UnsupportedEncodingException, XalanStdOutputStream::XalanStdOutputStreamWriteException, XalanTranscodingServices::UnrepresentableCharacterException, XalanQName::InvalidQNameException, XalanXPathException, XObject::XObjectException, XObject::XObjectInvalidConversionException, XPathParserException, ElemMessage::ElemMessageTerminateException, VariablesStack::InvalidStackContextException, and XSLTProcessorException.

const XalanDOMString& XSLException::getURI | ( |  | ) | const

| Get the URI for the associated document, if any. Returns: The URI.

The documentation for this class was generated from the following file:

- XSLException.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.